Wed, 23 Oct 2019 13:49:40 UTC

Information for build php-sabre-http5-5.0.4-1.fc30

ID1398705
Package Namephp-sabre-http5
Version5.0.4
Release1.fc30
Epoch
Sourcegit+https://src.fedoraproject.org/rpms/php-sabre-http5.git#453d0e777b3ba69a46216fd527d0a51e57df889a
SummaryLibrary for dealing with http requests and responses
DescriptionThis library provides a toolkit to make working with the HTTP protocol easier. Most PHP scripts run within a HTTP request but accessing information about the HTTP request is cumbersome at least, mainly do to superglobals and the CGI standard. There's bad practices, inconsistencies and confusion. This library is effectively a wrapper around the following PHP constructs: For Input: $_GET $_POST $_SERVER php://input or $HTTP_RAW_POST_DATA. For output: php://output or echo. header() What this library provides, is a Request object, and a Response object. The objects are extendable and easily mockable. Autoloader: /usr/share/php/Sabre/HTTP5/autoload.php
Built byremi
State complete
Volume DEFAULT
StartedThu, 10 Oct 2019 05:48:58 UTC
CompletedThu, 10 Oct 2019 05:50:01 UTC
Taskbuild (f30-candidate, /rpms/php-sabre-http5.git:453d0e777b3ba69a46216fd527d0a51e57df889a)
Extra{'source': {'original_url': 'git+https://src.fedoraproject.org/rpms/php-sabre-http5.git#453d0e777b3ba69a46216fd527d0a51e57df889a'}}
Tags
f30-updates
RPMs
src
php-sabre-http5-5.0.4-1.fc30.src.rpm (info) (download)
noarch
php-sabre-http5-5.0.4-1.fc30.noarch.rpm (info) (download)
Logs
noarch
build.log
root.log
state.log
hw_info.log
mock_output.log
noarch_rpmdiff.json
Changelog * Thu Oct 10 2019 Remi Collet <remi@remirepo.net> - 5.0.4-1 - update to 5.0.4 * Tue Oct 08 2019 Remi Collet <remi@remirepo.net> - 5.0.3-1 - update to 5.0.3 * Fri Sep 13 2019 Remi Collet <remi@remirepo.net> - 5.0.2-1 - update to 5.0.2 - switch to phpunit7 * Fri Jul 05 2019 Remi Collet <remi@remirepo.net> - 5.0.0-2 - fix autoloader * Fri Jul 05 2019 Remi Collet <remi@remirepo.net> - 5.0.0-1 - update to 5.0.0 - rename to php-sabre-http5 - move to /usr/share/php/Sabre/HTTP5 - raise dependency on PHP 7 - raise dependency on sabre/event 5.0 - raise dependency on sabre/uri 2.0 - switch to classmap autoloader - use phpunit 6 * Tue Jun 05 2018 Remi Collet <remi@remirepo.net> - 4.2.4-1 - update to 4.2.4 - use range dependencies on F27+